Listar Aplicações
curl --request GET \
--url https://identity.sandbox.lerian.net/v1/applications \
--header 'Authorization: Bearer <token>'import requests
url = "https://identity.sandbox.lerian.net/v1/applications"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://identity.sandbox.lerian.net/v1/applications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"clientId": "019c96a0-6a10-7abc-d1e2-8c9d0e1f2a3b",
"clientSecret": "019c96a0-6a20-7bcd-e1f2-9d0e1f2a3b4c",
"createdAt": "2025-04-08T08:01:30.000Z",
"description": "Midaz Used By Application X",
"id": "019c96a0-0c0c-7221-8cf3-13313fb60081",
"name": "midaz"
},
{
"clientId": "019c96a0-6b10-7def-a1b2-1f2a3b4c5d6e",
"clientSecret": "019c96a0-6b20-7efa-b1c2-2a3b4c5d6e7f",
"createdAt": "2025-04-07T18:57:57.312Z",
"description": "Fee Used By Application Y",
"id": "019c96a0-6b30-7fab-c1d2-3b4c5d6e7f8a",
"name": "plugin-fees"
}
]{
"code": "IDE-1002",
"title": "No Applications Found",
"message": "No applications were found in the search."
}{
"code": "IDE-0006",
"title": "Internal Server Error",
"message": "The server encountered an unexpected error. Please try again later."
}Listar Aplicações
Use este endpoint para listar todas as aplicações que você criou para se conectar com a aplicação da Lerian usando credenciais M2M.
GET
/
v1
/
applications
Listar Aplicações
Autorizações
O token de autorização no formato 'Bearer '.
Resposta
A lista de todas as aplicações que você criou para se conectar com a aplicação da Lerian.
Identificador único do cliente.
Chave secreta vinculada ao clientId, usada para autenticação segura do cliente.
Registro de data e hora de quando a aplicação foi criada.
Identificador claro que ajuda você a reconhecer rapidamente qual serviço, job ou integração usa a aplicação.
Identificador único da aplicação.
O produto ou plugin da Lerian que esta aplicação máquina a máquina pode acessar.
Esta página foi útil?
⌘I

